View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000034OpenFOAM[All Projects] Bugpublic2010-09-10 15:442010-09-13 17:36
Reporterl_r_mcglashan 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSFedoraOS Version13
Product Version1.7.x 
Target VersionFixed in Version 
Summary0000034: Request for member ‘write’ is ambiguous for an IOdictionary
DescriptionThe write() member function for an IOdictionary is inherited from both regIOobject and dictionary.

Do you consider these to be bugs? Obviously the user can use the full namespace. For example:

testDictionary.Foam::regIOobject::write();
testDictionary.Foam::dictionary::write(Info,false);
Steps To ReproduceIOdictionary testDictionary
(
    IOobject
    (
        "testDictionary",
        runTime.time().constant(),
        runTime,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);
    
testDictionary.write();

Compiling the above gives the error:

error: request for member ‘write’ is ambiguous
candidates are:
void Foam::dictionary::write(Foam::Ostream&, bool) const
virtual bool Foam::regIOobject::write() const
TagsInput/output
Attached Files

- Relationships

-  Notes
(0000033)
henry (manager)
2010-09-11 12:06

Fixed in OpenFOAM-1.7.x: commit 17f1de3bdaf596dcbeeab83e07d7dcfc2bef8693

- Issue History
Date Modified Username Field Change
2010-09-10 15:44 l_r_mcglashan New Issue
2010-09-10 15:50 andy Assigned To => henry
2010-09-10 15:50 andy Status new => assigned
2010-09-11 12:06 henry Note Added: 0000033
2010-09-11 12:06 henry Status assigned => resolved
2010-09-11 12:06 henry Resolution open => fixed
2010-09-13 17:36 andy Tag Attached: Input/output